#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	GNU Astronomy Utilities
Summary(pl.UTF-8):	Narzędzia astronomiczne GNU
Name:		gnuastro
Version:	0.11
Release:	3
License:	GPL v3+
Group:		Applications/Science
Source0:	https://ftp.gnu.org/gnu/gnuastro/%{name}-%{version}.tar.lz
# Source0-md5:	5fcb6f89710d9047dabeaec6fe054b43
Patch0:		%{name}-info.patch
Patch1:		ac.patch
URL:		http://www.gnu.org/software/gnuastro/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	cfitsio-devel
BuildRequires:	curl-devel
BuildRequires:	ghostscript >= 9.10
BuildRequires:	gsl-devel >= 2.0
BuildRequires:	help2man
BuildRequires:	libgit2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	lzip
BuildRequires:	tar >= 1:1.22
BuildRequires:	wcslib-devel
BuildRequires:	xz-devel
Suggests:	ghostscript >= 9.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU Astronomy Utilities (Gnuastro) is an official GNU package of
programs and a library functions for astronomical data manipulation
and analysis. The programs are run on the operating system's
command-line enabling easy and efficient operation combined with other
installed programs in shell scripts or Makefiles. The libraries are
also usable in C and C++ programs.

%description -l pl.UTF-8
GNU Astronomy Utilities (Gnuastro) to oficjalny pakiet GNU zawierający
programy i funkcje biblioteczne do obróbki i analiz danych
astronomicznych. Programy są uruchamiane z wiersza poleceń systemu
operacyjnego, co pozwala na łatwe i wydajne operowanie w połączeniu z
innymi zainstalowanymi programami lub z poziomu plików Makefile.
Biblioteki mogą być używane w programach w C i C++.

%package devel
Summary:	Header files for Gnuastro library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Gnuastro
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cfitsio-devel
Requires:	gsl-devel
Requires:	libgit2-devel
Requires:	libjpeg-devel
Requires:	libtiff-devel >= 4
Requires:	wcslib-devel
Requires:	xz-devel

%description devel
Header files for Gnuastro library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Gnuastro.

%package static
Summary:	Static Gnuastro library
Summary(pl.UTF-8):	Statyczna biblioteka Gnuastro
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Gnuastro library.

%description static -l pl.UTF-8
Statyczna biblioteka Gnuastro.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# regenerate for as-needed to work
%{__libtoolize}
%{__aclocal} -I bootstrapped/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--sysconfdir=%{_sysconfdir}/gnuastro \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgnuastro.la
# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/gnuastro/README

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/sbin/ldconfig
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/astarithmetic
%attr(755,root,root) %{_bindir}/astbuildprog
%attr(755,root,root) %{_bindir}/astconvertt
%attr(755,root,root) %{_bindir}/astconvolve
%attr(755,root,root) %{_bindir}/astcosmiccal
%attr(755,root,root) %{_bindir}/astcrop
%attr(755,root,root) %{_bindir}/astfits
%attr(755,root,root) %{_bindir}/astmatch
%attr(755,root,root) %{_bindir}/astmkcatalog
%attr(755,root,root) %{_bindir}/astmknoise
%attr(755,root,root) %{_bindir}/astmkprof
%attr(755,root,root) %{_bindir}/astnoisechisel
%attr(755,root,root) %{_bindir}/astscript-sort-by-night
%attr(755,root,root) %{_bindir}/astsegment
%attr(755,root,root) %{_bindir}/aststatistics
%attr(755,root,root) %{_bindir}/asttable
%attr(755,root,root) %{_bindir}/astwarp
%attr(755,root,root) %{_libdir}/libgnuastro.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnuastro.so.9
%dir %{_sysconfdir}/gnuastro
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnuastro/ast*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gnuastro/gnuastro.conf
%{_infodir}/gnuastro.info*
%{_infodir}/gnuastro-figures
%{_mandir}/man1/astarithmetic.1*
%{_mandir}/man1/astbuildprog.1*
%{_mandir}/man1/astconvertt.1*
%{_mandir}/man1/astconvolve.1*
%{_mandir}/man1/astcosmiccal.1*
%{_mandir}/man1/astcrop.1*
%{_mandir}/man1/astfits.1*
%{_mandir}/man1/astmatch.1*
%{_mandir}/man1/astmkcatalog.1*
%{_mandir}/man1/astmknoise.1*
%{_mandir}/man1/astmkprof.1*
%{_mandir}/man1/astnoisechisel.1*
%{_mandir}/man1/astscript-sort-by-night.1*
%{_mandir}/man1/astsegment.1*
%{_mandir}/man1/aststatistics.1*
%{_mandir}/man1/asttable.1*
%{_mandir}/man1/astwarp.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnuastro.so
%{_includedir}/gnuastro
%{_pkgconfigdir}/gnuastro.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgnuastro.a
%endif
%changelog
* Sat Dec 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnuastro.git;a=log;h=master

* Sat Dec 14 2019 Jan Rękorajski <baggins@pld-linux.org> 7368f9a
- release 3 (by relup.sh)

* Sat Dec 14 2019 Jan Rękorajski <baggins@pld-linux.org> ae3226a
- disable lib-prefix bullshit that's just utter confused failure that breaks x32 build

* Sat Dec 14 2019 Jan Rękorajski <baggins@pld-linux.org> a5eb6a3
- release 2 (by relup.sh)

* Thu Dec 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 1d5db55
- updated to 0.11 (new soname)
- updated info patch

* Tue Oct 29 2019 Jakub Bogusz <qboosh@pld-linux.org> 3279d95
- release 2 (rebuild with gsl 2.6)

* Mon Sep 02 2019 Jakub Bogusz <qboosh@pld-linux.org> fdaea0f
- updated to 0.10
- updated info patch
- removed outdated sh patch

* Thu Jul 25 2019 Jan Palus <atler@pld-linux.org> 385a269
- release 2 (by relup.sh)

* Sun Jan 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 2ed1533
- updated to 0.8 (new soname)
- updated info patch

* Thu Dec 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 635d3ed
- updated to 0.7 (new soname)
- updated info patch
- added sh patch (fix echo UB)

* Sun Oct 21 2018 Jan Rękorajski <baggins@pld-linux.org> 8fa665e
- release 2 (by relup.sh)

* Sun Mar 04 2018 Jakub Bogusz <qboosh@pld-linux.org> c34b940
- added info patch (unify direntries)

* Fri Mar 02 2018 Jakub Bogusz <qboosh@pld-linux.org> 98b9e71
- new

